Retrieve a list of ATS departments
Returns a paginated list of all departments configured in the organization’s ATS. Use it to resolve the department IDs accepted by the department_ids filter when listing jobs and by job creation, and page through results with the cursor and limit query parameters.
Token scopes: ats:read, worker:read
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Query parameters
cursor
Cursor for pagination to get the next set of results
limit
Maximum number of records returned in one response
include_archived
If true, archived departments are included in the response; they are excluded by default
Response
Successful response with departments data
data
Page of departments.
has_more
Indicates if there are more departments available
next_cursor
Cursor for pagination to get the next set of results; null when there are no more pages
total_count
Total number of departments available
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error